# org.eclipse.net4j.util.lifecycle

## Interfaces

- IDeactivateable
- ILifecycle
- ILifecycle.DeferrableActivation
- ILifecycleEvent

## Classes

- Lifecycle
- LifecycleEvent
- LifecycleEventAdapter
- LifecycleHook
- LifecycleUtil
- LifecycleUtil.Delegator
- ShareableLifecycle

## Enums

- ILifecycleEvent.Kind
- LifecycleState

## Exceptions

- LifecycleException

## Annotation Types

- LifecycleUtil.Activator
- LifecycleUtil.Deactivator